Execute proxy requestv3.1
Proxy an HTTP request to a third-party API using connected account credentials. This endpoint allows making authenticated API calls to external services while abstracting away authentication details.
Authorization
ApiKeyAuth Project API key authentication
In: header
Request Body
application/json
The ID of the connected account to use for authentication (if not provided, will use the default account for the project)
connectedAccountIdThe user id (entity id) acting on connected_account_id. Required for a SHARED connection, where it is checked against the connection's ACL. When the project has 2FA enabled, it is also validated against the owner of a PRIVATE connection. Also selects which custom toolkits the request may use.
The API endpoint to call (absolute URL or path relative to base URL of the connected account)
The HTTP method to use for the request
GETPOSTPUTDELETEPATCHHEADThe request body (for POST, PUT, and PATCH requests)
Binary body to send. For binary upload via URL: use {url: "https://...", content_type?: "..."}. For binary upload via base64: use {base64: "...", content_type?: "..."}.
Additional HTTP headers or query parameters to include in the request
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
import requestsurl = "https://example.com/api/v3.1/tools/execute/proxy"body = """{ "endpoint": "/api/v1/resources", "method": "GET"}"""response = requests.request("POST", url, data = body, headers = { "Content-Type": "application/json"})print(response.text){ "data": { "id": "123", "name": "Resource Name", "created_at": "2023-01-01T00:00:00Z" }, "binary_data": { "url": "string", "content_type": "string", "size": 0, "expires_at": "string" }, "status": 200, "headers": { "content-type": "application/json", "cache-control": "no-cache", "host": "api.example.com" }}